#ifndef ONDEVICEEMBEDDINGENGINE_H
#define ONDEVICEEMBEDDINGENGINE_H

#include "embeddingengine.h"

namespace ai_engine {
namespace embedding {

class AbstractOnDeviceTextEmbeddingEngine : public AbstractTextEmbeddingEngine {
public:

    bool isCloud() const override final { return false; }
};

class AbstractOnDeviceImageEmbeddingEngine
    : public AbstractImageEmbeddingEngine {
public:

    bool isCloud() const override final { return false; }
};

}  // namespace embedding
}  // namespace ai_engine

#endif